## ros-dashing-geodesy 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(geodesy)
find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(geographic_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(unique_identifier_msgs REQUIRED)

include_directories(
  include
)

set(dependencies
  angles
  geographic_msgs
  geometry_msgs
  sensor_msgs
  unique_identifier_msgs
)

ament_python_install_package(${PROJECT_NAME} PACKAGE_DIR src/${PROJECT_NAME})

# build C++ coordinate conversion library
add_library(geoconv STATIC src/conv/utm_conversions.cpp)
ament_target_dependencies(geoconv 
  ${dependencies}
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}/)
install(TARGETS geoconv
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION lib/${PROJECT_NAME}
)

ament_export_dependencies(${dependencies})
ament_export_include_directories(include)
ament_export_libraries(geoconv)
ament_package()

=== debian/changelog ===
ros-dashing-geodesy (1.0.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Sep 2019 23:43:22 -0000

ros-dashing-geodesy (0.5.3-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 27 Mar 2018 07:00:00 -0000

ros-dashing-geodesy (0.5.2-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-dashing-geodesy (0.5.1-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-dashing-geodesy (0.5.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Apr 2017 07:00:00 -0000

ros-dashing-geodesy (0.4.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-dashing-geodesy (0.3.2-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 30 Aug 2014 07:00:00 -0000

ros-dashing-geodesy (0.3.1-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Oct 2013 07:00:00 -0000

ros-dashing-geodesy (0.3.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 07:00:00 -0000

ros-dashing-geodesy (0.2.1-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 Aug 2012 07:00:00 -0000

ros-dashing-geodesy (0.2.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 02 Jun 2012 07:00:00 -0000

ros-dashing-geodesy (0.1.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 10 Apr 2012 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-geodesy
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, python-pyproj, ros-dashing-ament-cmake, ros-dashing-angles, ros-dashing-geographic-msgs, ros-dashing-geometry-msgs, ros-dashing-sensor-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/geodesy
Standards-Version: 3.9.2

Package: ros-dashing-geodesy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyproj, ros-dashing-angles, ros-dashing-geographic-msgs, ros-dashing-geometry-msgs, ros-dashing-sensor-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Description: Python and C++ interfaces for manipulating geodetic coordinates.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-geodesy//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
